{% extends 'user.html.twig' %}

{% block title %} {{ formation }}{% endblock %}

{% block body %}
    <h2>{{ formation }}</h2>
    <table class="table striped centered">
        <tbody>
            <tr>
                <th>Nom de la formation</th>
                <td>{{formation.libelleFormation}}</td>
            </tr>
            <tr>
                <th>Age</th>
                <td>{{formation.age}}</td>
            </tr>
            <tr>
                <th>Nombre de stagiaires min</th>
                <td>{{formation.nbMinStagiaire}}</td>
            </tr>
            <tr>
                <th>Nombre de stagiaires max</th>
                <td>{{formation.nbMaxStagiaire}}</td>
            </tr>
            <tr>
                <th>Nombre de formateurs</th>
                <td>{{formation.nbFormateur}}</td>
            </tr>
            <tr>
                <th>Categorie</th>
                <td>{{formation.categorie}}</td>
            </tr>
            <tr>
                <th>Diplome</th>
                {%for formationD in formation.diplome %}
                    <td>{{formationD.libelleFormation}}</td>
                {% endfor %}
            </tr>
            <tr>
                <th>Cours</th>
                {%for formationC in formation.cours %}
                    <td>{{formationC.NomCours}}</td>
                {% endfor %}
            </tr>
            <tr>
                <th>Prerogatives</th>
                {%for formationP in formation.prerogatives %}
                    <td>{{formationP.libellePrerogative}}</td>
                {% endfor %}
            </tr>
            <tr>
                <th>Prerequis</th>
                {%for formationPs in formation.prerequis %}
                    <td>{{formationPs.libellePrerequis}}</td>
                {% endfor %}
            </tr>
            <tr>
                <th>Image</th>
                {% for image in annonce.images %}
            <div>
                <img src="{{ asset('/uploads/'~image.name) }}" alt="" width="150">

                {# On ajoute un lien permettant de supprimer une image (sera géré en Ajax) #}
                <a href="{{ path('annonces_delete_image', {id: image.id})}}" data-delete data-token="{{ csrf_token('delete' ~ image.id )}}">Supprimer</a>
            </div>
        {% endfor %}
                <td>
                    {% if formation.uploadDocumentFormation != null %}
                        {% for document in formation.uploadDocumentFormation %}
                    <img src="{{ asset('/uploads/formation/'~document.nom) }}" alt="" width="150">
                    {% else %}
                    Pas d'image
                    {% endif %}
                </td>
			</tr>
        </tbody>
    </table>
{% endblock %}